%define upstream_name    Growl-GNTP
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl implementation of GNTP Protocol
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Growl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::CBC) >= 2.290.0
BuildRequires: perl(Data::UUID) >= 0.149.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildArch:  noarch

%description
Growl::GNTP is Perl implementation of GNTP Protocol (Client Part)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-2.mga6
+ Revision: 1027972
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 0.210.0-1.mga6
+ Revision: 999518
- update to 0.21

* Fri Feb 05 2016 umeabot <umeabot> 0.200.0-5.mga6
+ Revision: 936569
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 740792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 684897
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 528438
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 shlomif <shlomif> 0.200.0-1.mga4
+ Revision: 445043
- New version 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 367868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.160.0-1.mga3
+ Revision: 330205
- update to 0.16

* Thu May 31 2012 shlomif <shlomif> 0.150.0-2.mga3
+ Revision: 252389
- Fix license
- imported package perl-Growl-GNTP


* Thu Apr 12 2012 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
